package com.bonus.canteen.core.supply.purchase.constants;

public enum DrpMaterialPriceTypeEnum {
   MATERIAL_TENDER(1, "货品招标"),
   MATERIAL_INQUIRY(2, "采购询价"),
   MATERIAL_ORDER_GOODS(3, "采购订单"),
   MATERIAL_INTO(4, "入库"),
   MATERIAL_MARKET(5, "市场采集"),
   MATERIAL_CONTRACT(6, "合同调价");

   private final Integer key;
   private final String value;

   private DrpMaterialPriceTypeEnum(Integer key, String value) {
      this.key = key;
      this.value = value;
   }

   public static Integer getKey(String value) {
      DrpMaterialPriceTypeEnum[] enums = values();
      DrpMaterialPriceTypeEnum[] var2 = enums;
      int var3 = enums.length;

      for(int var4 = 0; var4 < var3; ++var4) {
         DrpMaterialPriceTypeEnum temp = var2[var4];
         if (temp.value().equals(value)) {
            return temp.key();
         }
      }

      return null;
   }

   public static String getValue(Integer key) {
      DrpMaterialPriceTypeEnum[] enums = values();
      DrpMaterialPriceTypeEnum[] var2 = enums;
      int var3 = enums.length;

      for(int var4 = 0; var4 < var3; ++var4) {
         DrpMaterialPriceTypeEnum temp = var2[var4];
         if (temp.key().equals(key)) {
            return temp.value();
         }
      }

      return null;
   }

   public Integer key() {
      return this.key;
   }

   public String value() {
      return this.value;
   }

}
